curl --request POST \
--url https://api.anam.ai/v1/personas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Cara",
"description": "<string>",
"avatarId": "30fa96d0-26c4-4e55-94a0-517025942e18",
"avatarModel": "cara-3",
"voiceId": "6bfbe25a-979d-40f3-a92b-5394170af54b",
"llmId": "7736a22f-2d79-4720-952c-25fdca55ad40",
"systemPrompt": "You are a helpful assistant",
"skipGreeting": false,
"zeroDataRetention": false,
"voiceDetectionOptions": {
"endOfSpeechSensitivity": 0.5,
"silenceBeforeSkipTurnSeconds": 5,
"silenceBeforeSessionEndSeconds": 60,
"silenceBeforeAutoEndTurnSeconds": 5,
"speechEnhancementLevel": 0.8
},
"languageCode": "en",
"voiceGenerationOptions": {
"stability": 0.5,
"similarityBoost": 0,
"speed": 1
}
}
'Create a new persona
curl --request POST \
--url https://api.anam.ai/v1/personas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Cara",
"description": "<string>",
"avatarId": "30fa96d0-26c4-4e55-94a0-517025942e18",
"avatarModel": "cara-3",
"voiceId": "6bfbe25a-979d-40f3-a92b-5394170af54b",
"llmId": "7736a22f-2d79-4720-952c-25fdca55ad40",
"systemPrompt": "You are a helpful assistant",
"skipGreeting": false,
"zeroDataRetention": false,
"voiceDetectionOptions": {
"endOfSpeechSensitivity": 0.5,
"silenceBeforeSkipTurnSeconds": 5,
"silenceBeforeSessionEndSeconds": 60,
"silenceBeforeAutoEndTurnSeconds": 5,
"speechEnhancementLevel": 0.8
},
"languageCode": "en",
"voiceGenerationOptions": {
"stability": 0.5,
"similarityBoost": 0,
"speed": 1
}
}
'Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Name of the persona
"Cara"
Description of the persona, for example "A helpful assistant". Does not affect the persona's behavior.
The avatar to use.
"30fa96d0-26c4-4e55-94a0-517025942e18"
Avatar model version to use. If not provided, the avatar's default version will be used. Set to null to clear and use default.
cara-2, cara-3 "cara-3"
The voice to use.
"6bfbe25a-979d-40f3-a92b-5394170af54b"
The LLM to use. To disable the LLM, use 'CUSTOMER_CLIENT_V1'.
"7736a22f-2d79-4720-952c-25fdca55ad40"
System prompt for the LLM
"You are a helpful assistant"
Whether to skip the greeting message when starting a session with this persona.
false
When true, session data is not stored after the conversation ends
false
Options for voice activity detection during user speech input.
Show child attributes
ISO 639-1 formatted language code override for transcription, replaces organisation level settings and multilingual (default) mode.
"en"
Configuration options for voice generation.
Show child attributes
Successfully created persona
Was this page helpful?